=== debian/changelog ===
botch (0.21-8) unstable; urgency=medium

  * add patch accounts for new argparse version in python 3.7 (closes: #912935)

 -- Johannes 'josch' Schauer <josch@debian.org>  Thu, 22 Nov 2018 15:47:58 +0100

botch (0.21-7) unstable; urgency=medium

  * also ignore pycodestyle W504 (closes: #912060)

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 21 Nov 2018 08:57:07 +0100

botch (0.21-6) unstable; urgency=medium

  * debian/control: add Build-Depends on dh-python (closes: #896797)
  * Define undefined parameters in shell scripts (closes: #903564)
  * Migrate to networkx 2.0
  * update for graphviz 2.40.1 (closes: #890029)
  * Fix for changed version provides handling of dose3 5.0.1-9
  * tools/graph-difference.py: allow comparison of arbitrary input graphs
  * Rename ma_interpreter.pkggraph to ma_interpreter.xml so that it is checked
    using botch-graph-difference instead of diff
  * debian/control: fix my name
  * bump dh compat level to 11
  * debian/copyright: secure source format uri

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 22 Jul 2018 19:07:41 +0200

botch (0.21-5) unstable; urgency=medium

  * add patch fixing test output for changed dictionary ordering from Python
    3.5 to 3.6. Also bump build dependency on Python (closes: #869586)
  * remove empty recommends and suggests fields from botch-doc
  * use https URI in debian/watch
  * bump Standards-Version to 4.1.1 (no changes)

 -- Johannes Schauer <josch@debian.org>  Wed, 01 Nov 2017 11:13:50 +0100

botch (0.21-4) unstable; urgency=medium

  * Add patch to fix FTBFS due to new pycodestyle and error E722 (closes:
    #867005)
  * Replace jquery-tablesorter/themes/blue/style.css with
    jquery-tablesorter/css/theme.blue.css after upstream switch (closes:
    #867607)
  * Build-Depends on ocamlbuild to ease a future transition to ocaml 4.05.0
    (closes: #869852)
  * bump Standards-Version to 4.0.0 (no changes required)
  * make botch-doc Multi-Arch:foreign

 -- Johannes Schauer <josch@debian.org>  Wed, 02 Aug 2017 13:13:10 +0200

botch (0.21-3) unstable; urgency=medium

  * Add patch to fix FTBFS due to API breakage introduced by src:dose3 5.0.1-8
    (closes: #852917)

 -- Johannes Schauer <josch@debian.org>  Sat, 28 Jan 2017 23:32:39 +0100

botch (0.21-2) unstable; urgency=medium

  * python3-pygraphviz dropped the file attribute. Thus adapting the code
    accordingly and bumping dependency to 1.4~rc1
  * bump Standards-Version to 3.9.8 (no changes required)
  * Do not build depend on -1-revisions to ease backports
  * Remove unused lintian overrides

 -- Johannes Schauer <josch@debian.org>  Mon, 09 Jan 2017 13:16:33 +0100

botch (0.21-1) unstable; urgency=medium

  * new upstream release
     - changes testcases for gringo 5.1.0 (closes: #847831)
  * remove all patches
  * fail if diff in autopkgtest returns nonzero exit (closes: #847832)
  * move diff_tmp_out of autopkgtest into its own script

 -- Johannes Schauer <josch@debian.org>  Tue, 20 Dec 2016 19:45:42 +0100

botch (0.20-3) unstable; urgency=medium

  * Add two patches from upstream which switch from pep8 to pycodestyle
    (closes: #844964)

 -- Johannes Schauer <josch@debian.org>  Sat, 19 Nov 2016 20:55:30 +0100

botch (0.20-2) unstable; urgency=medium

  * Apply patch from upstream catering for missing 'depends' field in dose3
    yaml output

 -- Johannes Schauer <josch@debian.org>  Tue, 01 Nov 2016 08:05:41 +0100

botch (0.20-1) unstable; urgency=medium

  * new upstream release

 -- Johannes Schauer <josch@debian.org>  Mon, 31 Oct 2016 12:28:52 +0100

botch (0.19-3) unstable; urgency=medium

  * Update autopkgtest test suite to 0.19 release

 -- Johannes Schauer <josch@debian.org>  Tue, 25 Oct 2016 22:34:25 +0200

botch (0.19-2) unstable; urgency=medium

  * Run ocamlbuild with -lflags -runtime-variant,_pic to work around Debian
    bug #837359

 -- Johannes Schauer <josch@debian.org>  Thu, 20 Oct 2016 07:17:42 +0200

botch (0.19-1) unstable; urgency=medium

  * new upstream release
  * drop patches as they were integrated upstream
  * add a Suggests:botch-doc to botch (closes: #839924)
  * make the botch package description less verbose (closes: #839926)
  * fix VCS-Git field to point to the botch git (closes: #839901)
  * add a README.Debian
  * update lintian overrides (remove hardening-no-relro and add
    hardening-no-bindnow and hardening-no-pie)

 -- Johannes Schauer <josch@debian.org>  Wed, 19 Oct 2016 23:22:38 +0200

botch (0.18-5) unstable; urgency=medium

  * dummy upload to test source-only uploads without an empty Binary field in
    the .changes file

 -- Johannes Schauer <josch@debian.org>  Thu, 22 Sep 2016 12:44:15 +0200

botch (0.18-4) unstable; urgency=medium

  * backport patch to output progress for botch-clean-repository via
    0001-clean-repository.ml-add-progress-option.patch

 -- Johannes Schauer <josch@debian.org>  Thu, 22 Sep 2016 12:37:57 +0200

botch (0.18-3) unstable; urgency=medium

  * backport patch which applies _tag rules to *.byte instead of just applying
    them to *.d.byte via
    0002-_tags-don-t-apply-rule-to-.d.byte-only-but-to-.byte.patch
  * build-depend on libatdgen-ocaml-dev (>= 1.9.1-2) to make sure to depend on
    a version of atdgen with bug #837804 fixed (provides /usr/bin/atdgen on
    all architectures)

 -- Johannes Schauer <josch@debian.org>  Fri, 16 Sep 2016 09:58:08 +0200

botch (0.18-2) unstable; urgency=medium

  * backport patch that retries parmap with smaller chunk sizes to cater for
    32 bit architectures with very limited memory constraints
    0001-buildGraph.ml-retry-with-smaller-chunk-sizes-if-parm.patch

 -- Johannes Schauer <josch@debian.org>  Fri, 16 Sep 2016 07:06:02 +0200

botch (0.18-1) unstable; urgency=medium

  * new upstream release
      - restores compatibility with dose3 (closes: #827977)
  * add dependency on dpkg-dev (closes: #832028)
  * remove all patches
  * replace build-depends on pyflakes by pyflakes3

