## botch 0.22

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.21
+VERSION=0.22
 
 BIN_OPT:= \
   create-graph.native \
@@ -146,7 +146,7 @@
 		for f in tests/$(1)/$$t/* $$t/*; do basename "$$f"; done | sort | uniq | while read f; do \
 			echo checking $$f; \
 			case "$$f" in \
-				*.xml) \
+				*.xml|*.dot) \
 					echo "+ ./tools/graph-difference.py \"tests/$(1)/$$t/$$f\" \"$$t/$$f\""; \
 					while : ; do ./tools/graph-difference.py "tests/$(1)/$$t/$$f" "$$t/$$f"; exit=$$?; if [ $$exit -eq 139 ]; then echo segfault; continue; fi; if [ $$exit -ne 0 ]; then exit 1; else break; fi; done;; \
 				*) \
@@ -180,10 +180,12 @@
 	./buildgraph2srcgraph.$(OCAMLBUILD_BEST) tmp/closurebuildgraph.xml --deb-drop-b-d-indep --deb-native-arch=amd64 tmp/packages tmp/sources > tmp/closuresrcgraph.xml
 	./tools/calcportsmetric.py tmp/strongsrcgraph.xml tmp/closuresrcgraph.xml > out/importance_metric.txt
 	# test botch-multiarch-interpreter-problem
-	dose-ceve --deb-drop-b-d-indep --deb-native-arch=amd64 -G pkg -T grml deb://tmp/packages debsrc://tmp/sources > tmp/ma_interpreter.pkggraph
-	./tools/multiarch-interpreter-problem.py --packages tmp/packages tmp/ma_interpreter.pkggraph > out/ma_interpreter.txt
+	dose-ceve --deb-drop-b-d-indep --deb-native-arch=amd64 -G pkg -T grml deb://tmp/packages debsrc://tmp/sources > tmp/ma_interpreter.xml
+	./tools/multiarch-interpreter-problem.py --packages tmp/packages tmp/ma_interpreter.xml > out/ma_interpreter.txt
 	# test y-u-b-d-transitive-essential
 	./tools/y-u-b-d-transitive-essential.sh --debug --verbose --develop --tmp tmp --output out amd64 tmp/packages tmp/sources acl
+	# remove svg because graphviz changes its output format slightly every other version
+	rm out/acl_2.2.52-3_n20.svg
 	# test botch-buildcheck-more-problems
 	./buildcheck-more-problems.$(OCAMLBUILD_BEST) --verbose --progress --checkonly=plasma-desktop,haskell-hledger-ui --deb-native-arch=amd64 --explain --failures $(packages) $(sources) > out/buildcheck.yaml || [ $$? -eq 1 ]
 	# test botch-buildcheck-more-problems cross because we want to be able
@@ -237,6 +239,8 @@
 	# Remove yui-compressor to make src:doxygen bd-uninstallable
 	grep-dctrl --not --field Package yui-compressor tmp/packages > tmp/packages_noyui
 	./tools/y-u-no-bootstrap.sh --debug --verbose --develop --tmp tmp --output out amd64 tmp/packages_noyui tmp/sources
+	# remove svg because graphviz changes its output format slightly every other version
+	rm out/doxygen_1.8.11-3.svg
 	# verify results
 	$(call diff_tmp_out,misc)
 
@@ -247,5 +251,3 @@
 	$(call diff_tmp_out,default)
 
 .PHONY: test-selfcontained
-test-selfcontained: $(OCAMLBUILD_BEST)
-	rm -rf tmp out
