=== debian/changelog ===
botch (0.22-4ubuntu1) groovy; urgency=medium

  * Override dh_dwz due to failure for new binutils (RC bug pending)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Jul 2020 21:45:43 +0200

botch (0.22-4) unstable; urgency=medium

  * add patch to fix pyflakes failure (closes: #963399)
  * add patch to fix pycodestyle error E741

 -- Johannes 'josch' Schauer <josch@debian.org>  Mon, 22 Jun 2020 11:40:47 +0200

botch (0.22-3) unstable; urgency=medium

  * add debian/salsa-ci.yml
  * change vcs to salsa because of #914260
  * debian/upstream/signing-key.asc: drop extra signatures
  * debian/control: bump standards-version to 4.5.0
  * debian/tests/misc: remove out/acl_2.2.52-3_n20.svg and
    out/doxygen_1.8.11-3.svg because graphviz stores its version in it

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 23 Feb 2020 08:38:11 +0100

botch (0.22-2) unstable; urgency=medium

  * Add patch as workaround for bug #946980. On 32bit architectures, botch
    will now not attempt using parmap for parallelization (closes: #946817)
  * Fixup last changelog entry that forgot a closes: #944473

 -- Johannes 'josch' Schauer <josch@debian.org>  Thu, 02 Jan 2020 15:02:44 +0100

botch (0.22-1) unstable; urgency=medium

  * New upstream release
  * drop debian/patches -> all have been applied upstream
  * drop B-D on libcdt5 because tests are not testing graphviz version anymore
    (closes: #944473)
  * replace deprecated $ADTTMP with $AUTOPKGTEST_TMP
  * bump Standards-Version to 4.4.1 (no changes)
  * add Rules-Requires-Root: no
  * bump debhelper version to 12
  * use debhelper-compat B-D instead of debian/compat
  * add B-D: black <!nocheck>

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 15 Dec 2019 05:28:44 +0100
