## botch 0.23

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.22
+VERSION=0.23
 
 BIN_OPT:= \
   create-graph.native \
