=== debian/changelog ===
botch (0.23-1) unstable; urgency=medium

  * New upstream release
  * drop patches and add patch replacing parany with parmap
  * add patch to fix expected html in tests

 -- Johannes 'josch' Schauer <josch@debian.org>  Fri, 05 Feb 2021 01:51:43 +0100

botch (0.22-5) unstable; urgency=medium

  * patch tools/stat-html.py to make black happy (closes: #972258)
  * add debian/patches/testsuite-fixes-new-ocaml.patch because of changes in
    dose3 and ocaml since the last upload

 -- Johannes 'josch' Schauer <josch@debian.org>  Sat, 17 Oct 2020 16:53:50 +0200
