=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Johannes 'josch' Schauer <josch@debian.org>
 Homepage: https://gitlab.mister-muffin.de/debian-bootstrap/botch/wikis/home
-Standards-Version: 4.1.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 # these are needed to run debian/rules clean
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-ocaml,
  dh-python,
  ocaml-nox,
@@ -35,13 +36,12 @@
  gsfonts                         <!nocheck>,
  libgraph-easy-perl              <!nocheck>,
  graphviz                        <!nocheck>,
- libcdt5 (>= 2.40.1)             <!nocheck>,
- libcdt5 (<< 2.40.1.0~)          <!nocheck>,
+ black                           <!nocheck>,
 Build-Depends-Indep:
  markdown <!nodoc>,
  graphviz <!nodoc>,
-Vcs-Browser: https://browse.dgit.debian.org/botch.git/
-Vcs-Git: https://git.dgit.debian.org/botch
+Vcs-Browser: https://salsa.debian.org/debian/botch
+Vcs-Git: https://salsa.debian.org/debian/botch.git
 
 Package: botch
 Architecture: any
