## botch 0.24

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.23
+VERSION=0.24
 
 BIN_OPT:= \
   create-graph.native \
@@ -247,7 +247,7 @@
 .PHONY: test-default
 test-default: $(OCAMLBUILD_BEST)
 	rm -rf tmp out
-	./tools/native.sh --debug --verbose --develop --output out --tmp tmp --jobs=2 --deb-drop-b-d-indep amd64 tests/sid-amd64-packages-20160830T000000Z tests/sid-sources-20160830T000000Z
+	./tools/native.sh --debug --verbose --develop --output out --tmp tmp --deb-drop-b-d-indep amd64 tests/sid-amd64-packages-20160830T000000Z tests/sid-sources-20160830T000000Z
 	$(call diff_tmp_out,default)
 
 .PHONY: test-selfcontained
