=== debian/changelog ===
botch (0.24-6build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Oct 2025 20:48:25 +0200

botch (0.24-6build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jun 2025 09:42:58 +0200

botch (0.24-6) unstable; urgency=medium

  * debian/salsa-ci.yml: modernize
  * debian/patches:
     - new version of ocaml-atd
     - refresh parsing of argparse --help output in python 3.13 (closes:
       #1092479)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 13 Feb 2025 23:30:00 +0100

botch (0.24-5) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Use Stdlib instead of Pervasives  (Closes: #1078356)

  [ Johannes Schauer Marin Rodrigues ]
  * debian/control: add Recommends on wget (Closes: #928682)
  * debian/control: fix Hompage to point to salsa (Closes: #988411)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 11 Aug 2024 11:22:45 +0200

botch (0.24-4) unstable; urgency=medium

  * Team upload (ack by maintainer)
  * Depend on yojson-tools instead of old libyojson-ocaml-dev
    to fix missing ydump tool (split from libyojson-ocaml-dev)
    This fixes autopkgtests and build-failure
    (Closes: #1073199, #1073259)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Jun 2024 14:01:21 +0200

botch (0.24-3) unstable; urgency=medium

  * debian/control: switch out unmaintained markdown for discount

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 10 Jun 2024 12:40:37 +0200

botch (0.24-2) unstable; urgency=medium

  * add patch to make tests work with black 23.1.0 (closes: #1031469)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 17 Feb 2023 15:49:11 +0100

botch (0.24-1) unstable; urgency=medium

  * New upstream release
     - port to dose3 7.0.0 (closes: #1006049)
  * debian/watch: bump version to 4
  * debian/control: bump dh version to 13
  * debian/control: bump Standards-Version to 4.5.1
  * debian/botch.install: list manpages
  * fix my name
  * drop patches
  * remove parmap and parany
  * add patch fixing Bi_outbuf -> Buffer
  * patch json test formatting
  * debian/tests: remove --jobs
  * debian/source/lintian-overrides: override some lintian false-positives
  * debian/salsa-ci.yml: disable crossbuilding

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 31 Oct 2022 12:51:07 +0100
