=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: botch
 Section: utils
 Priority: optional
-Maintainer: Johannes 'josch' Schauer <josch@debian.org>
-Homepage: https://gitlab.mister-muffin.de/debian-bootstrap/botch/wikis/home
-Standards-Version: 4.5.0
+Maintainer: Johannes Schauer Marin Rodrigues <josch@debian.org>
+Homepage: https://salsa.debian.org/debian-bootstrap-team/botch/-/wikis/home
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 # these are needed to run debian/rules clean
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-ocaml,
  dh-python,
  ocaml-nox,
@@ -20,7 +20,6 @@
  libocamlgraph-ocaml-dev,
  libatdgen-ocaml-dev (>= 1.9.1-2),
  libxmlm-ocaml-dev,
- libparmap-ocaml-dev,
  libdose3-ocaml-dev (>= 5.0.1),
  dose-builddebcheck (>= 5.0.1-10) <!nocheck>,
  dose-extra (>= 5.0.1)           <!nocheck>,
@@ -37,8 +36,9 @@
  libgraph-easy-perl              <!nocheck>,
  graphviz                        <!nocheck>,
  black                           <!nocheck>,
+ yojson-tools                    <!nocheck>,
 Build-Depends-Indep:
- markdown <!nodoc>,
+ discount <!nodoc>,
  graphviz <!nodoc>,
 Vcs-Browser: https://salsa.debian.org/debian/botch
 Vcs-Git: https://salsa.debian.org/debian/botch.git
@@ -61,10 +61,11 @@
  python3-pygraphviz (>= 1.4~rc1),
  zutils,
  dpkg-dev,
- libyojson-ocaml-dev,
+ yojson-tools,
 # libjs-jquery-tablesorter and libjs-jquery are needed to look at the generated
 # HTML with javascript bling
 Recommends:
+ wget,
  libjs-jquery-tablesorter,
  libjs-jquery
 # devscripts and libsoap-lite-perl are needed for /usr/bin/bts which is in turn
