=== debian/tests/control ===
Tests: default selfcontained cross misc
Restrictions: allow-stderr
# libgraph-easy-perl is only a Suggests because it's entirely optional. Thus
# listing it here.
# gsfonts is not required either but graphviz will require the font
# "Nimbus Roman No9 L" to exactly replicate the right dot rendering.
Depends: @, libgraph-easy-perl, gsfonts
