=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://mister-muffin.de/botch/ \./botch-([\d\.]+)\.tar\.xz
